Subject: Re: [PATCH] XFRM policy expire

From: "David S. Miller" <[email-masked]>
Date: Wed, 25 Feb 2004 00:18:09 -0800

On Tue, 24 Feb 2004 10:09:46 +0100
Michal Ludvig <[email-masked]> wrote:

> the attached patch fixes a bug in xfrm_send_policy_notify(). The space 
> allocated in skb must include 'sizeof(struct xfrm_user_polexpire)', not 
> 'sizeof(struct xfrm_userpolicy_info)' which is shorter. On ia32 it 
> worked, probably because of some space gained from aligning. 
> Unfortunately on amd64 it didn't and finally led to BUG() & kernel hangup.

Applied, thanks Michal.

> BTW The second patch attached does some obvious cleanup: replaces 
> RTA_ALIGN(RTA_LENGTH(x)) with RTA_SPACE(x) and ditto for NLMSG_*() 
> macros. Apply on top of the first one or drop it. It's up to you.

This is fine too, also applied.

Thanks again.